Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10878)
@@ -45,5 +45,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=2 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10878)
@@ -43,5 +43,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10878)
@@ -47,5 +47,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10878)
@@ -27,4 +27,4 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
     </munition>      
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 10878)
@@ -51,5 +51,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
     </munition>    
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 10878)
@@ -51,5 +51,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
     </munition>      
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10878)
@@ -51,5 +51,5 @@
 </weaponpacks>
 <munition>
-  <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+  <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
   <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
   <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsGhost.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsGhost.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsGhost.oxi	(revision 10878)
@@ -37,5 +37,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsH2.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsH2.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsH2.oxi	(revision 10878)
@@ -44,5 +44,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
     </munition>
 
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHXY.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 10878)
@@ -26,5 +26,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
     </munition> 
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10878)
@@ -42,5 +42,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.25/>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=6.0/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10878)
@@ -45,5 +45,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=5.0/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10878)
@@ -47,5 +47,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.0/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10878)
@@ -57,5 +57,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.0/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsPirate.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsPirate.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsPirate.oxi	(revision 10878)
@@ -24,4 +24,4 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.0/>
     </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsRing.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 10878)
@@ -30,5 +30,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <GravityBombMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=1 />
       <IceMunition initialmagazines=16 maxmagazines=16 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10878)
@@ -89,5 +89,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.2/>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsSwallow.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10878)
@@ -25,5 +25,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <SplitMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
     </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsTransporter.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsTransporter.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsTransporter.oxi	(revision 10878)
@@ -26,5 +26,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
     </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret.oxi	(revision 10878)
@@ -22,4 +22,4 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
     </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret1.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret1.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret1.oxi	(revision 10878)
@@ -22,4 +22,4 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
     </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10877)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10878)
@@ -48,5 +48,5 @@
     </weaponpacks>
     <munition>
-      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.4/>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
Index: code/branches/fabienHS15/src/modules/overlays/hud/HUDEnemyShieldBar.cc
===================================================================
--- code/branches/fabienHS15/src/modules/overlays/hud/HUDEnemyShieldBar.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/overlays/hud/HUDEnemyShieldBar.cc	(revision 10878)
@@ -71,9 +71,9 @@
                 target = target->getParent();
             pawn = orxonox_cast<Pawn*>(target);
-            // Don't show the HealthBar if the pawn is invisible
+            // Don't show the EnemyShieldBar if the pawn is invisible
             if (pawn && !pawn->isVisible())
                 pawn = NULL;
         }
-        // Set the pawn as owner of the HealthBar
+        // Set the pawn as owner of the EnemyShieldBar
         this->setShieldBarOwner(pawn);
         this->setVisible(pawn != NULL);
Index: code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponMode.cc
===================================================================
--- code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 10878)
@@ -160,5 +160,5 @@
                     ReplenishingMunition* replenishingMunition = dynamic_cast<ReplenishingMunition*>(munition);
 
-                    if (replenishingMunition->canAddMunition(1))
+                    if (replenishingMunition->canAddMagazines(1))
                     {
                         float progress = 1.0f - replenishingMunition->getProgress();
Index: code/branches/fabienHS15/src/modules/weapons/munitions/FusionMunition.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/munitions/FusionMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/weapons/munitions/FusionMunition.cc	(revision 10878)
@@ -46,5 +46,5 @@
         this->maxMunitionPerMagazine_ = 10;
         this->maxMagazines_ = 10;
-        this->magazines_ = 10;
+        this->unassignedMagazines_ = 10;
 
         this->deployment_ = MunitionDeployment::Separate;
Index: code/branches/fabienHS15/src/modules/weapons/munitions/GravityBombMunition.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/munitions/GravityBombMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/weapons/munitions/GravityBombMunition.cc	(revision 10878)
@@ -18,5 +18,5 @@
         this->maxMunitionPerMagazine_ = 1;
         this->maxMagazines_ = 30;
-        this->magazines_ = 15;
+        this->unassignedMagazines_ = 15;
 
         this->deployment_ = MunitionDeployment::Stack;
Index: code/branches/fabienHS15/src/modules/weapons/munitions/IceMunition.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/munitions/IceMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/weapons/munitions/IceMunition.cc	(revision 10878)
@@ -46,5 +46,5 @@
         this->maxMunitionPerMagazine_ = 1;
         this->maxMagazines_ = 50;
-        this->magazines_ = 25;
+        this->unassignedMagazines_ = 25;
 
         this->deployment_ = MunitionDeployment::Stack;
Index: code/branches/fabienHS15/src/modules/weapons/munitions/LaserMunition.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/munitions/LaserMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/weapons/munitions/LaserMunition.cc	(revision 10878)
@@ -46,5 +46,5 @@
         this->maxMunitionPerMagazine_ = 20;
         this->maxMagazines_ = 10;
-        this->magazines_ = 10;
+        this->unassignedMagazines_ = 10;
 
         this->deployment_ = MunitionDeployment::Separate;
@@ -53,5 +53,5 @@
         this->bAllowMultiMunitionRemovementUnderflow_ = true;
 
-        this->replenishInterval_ = 0.5f;
+        this->replenishInterval_ = 7.0f;
         this->replenishAmount_ = 1;
 
Index: code/branches/fabienHS15/src/modules/weapons/munitions/LightningMunition.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/munitions/LightningMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/weapons/munitions/LightningMunition.cc	(revision 10878)
@@ -46,5 +46,5 @@
         this->maxMunitionPerMagazine_ = 20;
         this->maxMagazines_ = 1;
-        this->magazines_ = 1;
+        this->unassignedMagazines_ = 1;
 
         this->deployment_ = MunitionDeployment::Share;
Index: code/branches/fabienHS15/src/modules/weapons/munitions/RocketMunition.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/munitions/RocketMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/weapons/munitions/RocketMunition.cc	(revision 10878)
@@ -46,5 +46,5 @@
         this->maxMunitionPerMagazine_ = 1;
         this->maxMagazines_ = 30;
-        this->magazines_ = 10;
+        this->unassignedMagazines_ = 10;
 
         this->deployment_ = MunitionDeployment::Stack;
Index: code/branches/fabienHS15/src/modules/weapons/munitions/SplitMunition.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/munitions/SplitMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/modules/weapons/munitions/SplitMunition.cc	(revision 10878)
@@ -46,5 +46,5 @@
         this->maxMunitionPerMagazine_ = 5;
         this->maxMagazines_ = 10;
-        this->magazines_ = 5;
+        this->unassignedMagazines_ = 5;
 
         this->deployment_ = MunitionDeployment::Share;
Index: code/branches/fabienHS15/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/fabienHS15/src/orxonox/controllers/HumanController.cc	(revision 10877)
+++ code/branches/fabienHS15/src/orxonox/controllers/HumanController.cc	(revision 10878)
@@ -199,5 +199,5 @@
     @brief
         Starts the boosting mode.
-        Resets the boosting timeout and ells the ControllableEntity to boost (or not boost anymore).
+        Resets the boosting timeout and tells the ControllableEntity to boost (or not boost anymore).
     */
     void HumanController::startBoosting(void)
Index: code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.cc	(revision 10878)
@@ -44,5 +44,5 @@
         this->maxMunitionPerMagazine_ = 10;
         this->maxMagazines_ = 10;
-        this->magazines_ = 10;
+        this->unassignedMagazines_ = 10;
 
         this->deployment_ = MunitionDeployment::Stack;
@@ -57,5 +57,5 @@
     Munition::~Munition()
     {
-        for (std::map<WeaponMode*, Magazine*>::iterator it = this->currentMagazines_.begin(); it != this->currentMagazines_.end(); ++it)
+        for (std::map<WeaponMode*, Magazine*>::iterator it = this->assignedMagazines_.begin(); it != this->assignedMagazines_.end(); ++it)
             delete it->second;
     }
@@ -79,6 +79,6 @@
 
             // Use the map to get the magazine assigned to the given user
-            std::map<WeaponMode*, Magazine*>::const_iterator it = this->currentMagazines_.find(user);
-            if (it != this->currentMagazines_.end())
+            std::map<WeaponMode*, Magazine*>::const_iterator it = this->assignedMagazines_.find(user);
+            if (it != this->assignedMagazines_.end())
                 return it->second;
         }
@@ -86,6 +86,6 @@
         {
             // We don't use separate magazines for each user, so just take the first magazine
-            if (this->currentMagazines_.size() > 0)
-                return this->currentMagazines_.begin()->second;
+            if (this->assignedMagazines_.size() > 0)
+                return this->assignedMagazines_.begin()->second;
         }
 
@@ -100,5 +100,5 @@
             if (deployment_ == MunitionDeployment::Stack)
                 // With stacked munition every magazine contributes to the total amount
-                return this->maxMunitionPerMagazine_ * this->magazines_ + magazine->munition_;
+                return this->maxMunitionPerMagazine_ * this->unassignedMagazines_ + magazine->munition_;
             else
                 // Wihtout stacked munition we just consider the current magazine
@@ -125,13 +125,13 @@
             Magazine* magazine = this->getMagazine(0);
             if (magazine && magazine->munition_ == this->maxMunitionPerMagazine_)
-                return this->magazines_ + 1;
-        }
-
-        return this->magazines_;
+                return this->unassignedMagazines_ + 1;
+        }
+
+        return this->unassignedMagazines_;
     }
 
     void Munition::setNumMagazines(unsigned int numMagazines)
     {
-        this->magazines_ = numMagazines;
+        this->unassignedMagazines_ = numMagazines;
     }
 
@@ -154,5 +154,5 @@
             if (deployment_ == MunitionDeployment::Stack)
             {
-                munition += this->maxMunitionPerMagazine_ * this->magazines_;
+                munition += this->maxMunitionPerMagazine_ * this->unassignedMagazines_;
             }
 
@@ -200,5 +200,5 @@
                     magazine->munition_ = 0;
 
-                    if (this->reload(0))
+                    if (this->reload(NULL))
                         // Successfully reloaded, continue recursively
                         return this->takeMunition(amount, 0);
@@ -224,5 +224,5 @@
     {
         // As long as we have enough magazines (and don't stack munition) we can reload
-        return (this->magazines_ > 0 && deployment_ != MunitionDeployment::Stack);
+        return (this->unassignedMagazines_ > 0 && deployment_ != MunitionDeployment::Stack);
     }
 
@@ -252,5 +252,5 @@
 
         // Check if we actually can reload
-        if (this->magazines_ == 0)
+        if (this->unassignedMagazines_ == 0)
             return false;
 
@@ -266,6 +266,6 @@
 
         // Remove the current magazine for the given user
-        std::map<WeaponMode*, Magazine*>::iterator it = this->currentMagazines_.find(user);
-        if (it != this->currentMagazines_.end())
+        std::map<WeaponMode*, Magazine*>::iterator it = this->assignedMagazines_.find(user);
+        if (it != this->assignedMagazines_.end())
         {
             if (it->first == lastFilledWeaponMode_)
@@ -274,10 +274,10 @@
             }            
             delete it->second;
-            this->currentMagazines_.erase(it);
+            this->assignedMagazines_.erase(it);
         }
 
         // Load a new magazine
-        this->currentMagazines_[user] = new Magazine(this, bUseReloadTime);
-        this->magazines_--;
+        this->assignedMagazines_[user] = new Magazine(this, bUseReloadTime);
+        this->unassignedMagazines_--;
 
         return true;
@@ -299,5 +299,5 @@
         {
             // Return true if any of the current magazines is not full (loading counts as full although it returns 0 munition)
-            for (std::map<WeaponMode*, Magazine*>::const_iterator it = this->currentMagazines_.begin(); it != this->currentMagazines_.end(); ++it)
+            for (std::map<WeaponMode*, Magazine*>::const_iterator it = this->assignedMagazines_.begin(); it != this->assignedMagazines_.end(); ++it)
                 if (it->second->munition_ < this->maxMunitionPerMagazine_ && it->second->bLoaded_)
                     return true;
@@ -325,11 +325,11 @@
                 {
                     magazine->munition_ -= this->maxMunitionPerMagazine_;
-                    this->magazines_++;
+                    this->unassignedMagazines_++;
                 }
 
                 // If we reached the limit, reduce both magazines and munition to the maximum
-                if (this->magazines_ >= this->maxMagazines_)
-                {
-                    this->magazines_ = this->maxMagazines_;
+                if (this->unassignedMagazines_ >= this->maxMagazines_)
+                {
+                    this->unassignedMagazines_ = this->maxMagazines_;
                     magazine->munition_ = this->maxMunitionPerMagazine_;
                 }
@@ -349,9 +349,9 @@
             if (lastFilledWeaponMode_ == NULL)
             {
-                it = this->currentMagazines_.begin();
+                it = this->assignedMagazines_.begin();
             }
             else
             {
-                it = this->currentMagazines_.find(lastFilledWeaponMode_);
+                it = this->assignedMagazines_.find(lastFilledWeaponMode_);
                 ++ it;
             }
@@ -362,5 +362,5 @@
             {
                 bool change = false;
-                while (it != this->currentMagazines_.end())
+                while (it != this->assignedMagazines_.end())
                 {
                     // Add munition if the magazine isn't full (but only to loaded magazines)
@@ -383,5 +383,5 @@
                 }                    
 
-                it = this->currentMagazines_.begin();
+                it = this->assignedMagazines_.begin();
                 firstLoop = false;
             }
@@ -400,28 +400,32 @@
         else
             // If we don't stack munition, we're more limited
-            return ((this->currentMagazines_.size() + this->magazines_) < this->maxMagazines_);
-    }
-
-    bool Munition::addMagazines(unsigned int amount)
-    {
+            return ((this->assignedMagazines_.size() + this->unassignedMagazines_) < this->maxMagazines_);
+    }
+
+    unsigned int Munition::addMagazines(unsigned int amount)
+    {
+        unsigned int addedMagazines = 0;
+
         if (!this->canAddMagazines(amount))
-            return false;
+            return 0;
 
         // Calculate how many magazines are needed
-        int needed_magazines = this->maxMagazines_ - this->magazines_ - this->currentMagazines_.size();
+        int needed_magazines = this->maxMagazines_ - this->unassignedMagazines_ - this->assignedMagazines_.size();
 
         // If zero or less magazines are needed, we definitively don't need more magazines (unless we stack munition - then a magazine contributes directly to the munition)
         if (needed_magazines <= 0 && deployment_ != MunitionDeployment::Stack)
-            return false;
+            return 0;
 
         if (amount <= static_cast<unsigned int>(needed_magazines))
         {
             // We need more magazines than we get, so just add them
-            this->magazines_ += amount;
+            this->unassignedMagazines_ += amount;
+            addedMagazines = amount;
         }
         else
         {
             // We get more magazines than we need, so just add the needed amount
-            this->magazines_ += needed_magazines;
+            this->unassignedMagazines_ += needed_magazines;
+            addedMagazines = needed_magazines;
             if (deployment_ == MunitionDeployment::Stack)
             {
@@ -433,5 +437,19 @@
         }
 
-        return true;
+        // Reload as many empty magazines as possible
+        // Double loop and break is needed because the reload function changes the assigned magazines. This may confuse the iterator.
+        for (unsigned int i = 0; i < addedMagazines; ++i)
+        {
+            for (std::map<WeaponMode*, Magazine*>::iterator it = this->assignedMagazines_.begin(); it != this->assignedMagazines_.end(); ++it)
+            {
+                if (needReload(it->first))
+                {
+                    reload(it->first);
+                    break;
+                }
+            }
+        }
+
+        return addedMagazines;
     }
 
@@ -440,10 +458,10 @@
         if (deployment_ == MunitionDeployment::Stack)
         {
-            if (this->magazines_ >= amount)
+            if (this->unassignedMagazines_ >= amount)
             {
                 // We have enough magazines
                 return true;
             }
-            else if (this->magazines_ == amount - 1)
+            else if (this->unassignedMagazines_ == amount - 1)
             {
                 // We lack one magazine, check if the current magazine is still full, if yes we're fine
@@ -461,5 +479,5 @@
         {
             // In case we're not stacking munition, just check the number of magazines
-            return (this->magazines_ >= amount);
+            return (this->unassignedMagazines_ >= amount);
         }
 
@@ -472,13 +490,13 @@
             return false;
 
-        if (this->magazines_ >= amount)
+        if (this->unassignedMagazines_ >= amount)
         {
             // We have enough magazines, just remove the amount
-            this->magazines_ -= amount;
+            this->unassignedMagazines_ -= amount;
         }
         else if (deployment_ == MunitionDeployment::Stack)
         {
             // We don't have enough magazines, but we're stacking munition, so additionally remove the bullets from the current magazine
-            this->magazines_ = 0;
+            this->unassignedMagazines_ = 0;
             Magazine* magazine = this->getMagazine(0);
             if (magazine)
@@ -500,6 +518,6 @@
 
         // Remove the current magazine for the given user
-        std::map<WeaponMode*, Magazine*>::iterator it = this->currentMagazines_.find(user);
-        if (it != this->currentMagazines_.end())
+        std::map<WeaponMode*, Magazine*>::iterator it = this->assignedMagazines_.find(user);
+        if (it != this->assignedMagazines_.end())
         {
             if (it->first == lastFilledWeaponMode_)
@@ -508,5 +526,5 @@
             }
             delete it->second;
-            this->currentMagazines_.erase(it);           
+            this->assignedMagazines_.erase(it);           
             return true;
         }
Index: code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.h
===================================================================
--- code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.h	(revision 10877)
+++ code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.h	(revision 10878)
@@ -97,5 +97,10 @@
 
             bool canAddMagazines(unsigned int amount) const;
-            bool addMagazines(unsigned int amount);
+            /**
+            @brief Try to add magazines.
+            @param amount The amount of magazines tried to add.
+            @return The amount of magazines sucessfully added.
+            */
+            unsigned int addMagazines(unsigned int amount);
 
             bool canRemoveMagazines(unsigned int amount) const;
@@ -107,6 +112,6 @@
             unsigned int maxMunitionPerMagazine_;
             unsigned int maxMagazines_;
-            unsigned int magazines_;
-            std::map<WeaponMode*, Magazine*> currentMagazines_; // Maps weapon modes to magazines that are currently used.
+            unsigned int unassignedMagazines_; // Number of magazines that are not assigned to a weapon mode. These are alway treated as full.
+            std::map<WeaponMode*, Magazine*> assignedMagazines_; // Maps weapon modes to magazines that are currently used.
 
             MunitionDeployment::Value deployment_; // Defines the behaviour how munition and magazines are distributed to the consuming weapon modes.
@@ -115,5 +120,5 @@
             bool bAllowMultiMunitionRemovementUnderflow_;
 
-            float reloadTime_;
+            float reloadTime_; // The time needed to replace a magazine by a new one.
             WeaponMode* lastFilledWeaponMode_; // Pointer to the weapon mode that got the last munition during the last call of addMunition.
 
Index: code/branches/fabienHS15/src/orxonox/weaponsystem/ReplenishingMunition.cc
===================================================================
--- code/branches/fabienHS15/src/orxonox/weaponsystem/ReplenishingMunition.cc	(revision 10877)
+++ code/branches/fabienHS15/src/orxonox/weaponsystem/ReplenishingMunition.cc	(revision 10878)
@@ -76,5 +76,5 @@
     void ReplenishingMunition::replenish()
     {
-        if (this->canAddMunition(this->replenishAmount_))
+        if (this->canAddMagazines(this->replenishAmount_))
         {
             // Make a temporary copy of bAllowMunitionRefilling_, because this might be disallowed in every
@@ -84,5 +84,5 @@
 
             // Replenish munition
-            this->addMunition(this->replenishAmount_);
+            this->addMagazines(this->replenishAmount_);
 
             // Write back the temporary value
Index: code/branches/fabienHS15/src/orxonox/weaponsystem/ReplenishingMunition.h
===================================================================
--- code/branches/fabienHS15/src/orxonox/weaponsystem/ReplenishingMunition.h	(revision 10877)
+++ code/branches/fabienHS15/src/orxonox/weaponsystem/ReplenishingMunition.h	(revision 10878)
@@ -64,8 +64,8 @@
         protected:                          
             float replenishInterval_; //!< The interval in which the munition is replenished.
-            unsigned int replenishAmount_; //!< The amount by which it is replenished.
+            unsigned int replenishAmount_; //!< The amount of magazines by which it is replenished.
 
         private:
-            void replenish();
+            void replenish(); //!< Every call of this function replenishes the munition. This function is called by the timer.
             void initializeTimer();
 
